<?php
namespace Teknisa\DF\Modules\Relatorios\Controllers;

use NFePHP\NFe\MakeNFe;
use NFePHP\NFe\ToolsNFe;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;

use Teknisa\DF\Modules\Relatorios\Services\Dfe22000DetalhamentoNotasFiscaisManifestadaService;

class Dfe22000DetalhamentoNotasFiscaisManifestadaController {
    
    protected $dfe22000DetalhamentoNotasFiscaisManifestadaService;

    public function __construct(Dfe22000DetalhamentoNotasFiscaisManifestadaService $dfe22000DetalhamentoNotasFiscaisManifestadaService) {
        $this->dfe22000DetalhamentoNotasFiscaisManifestadaService = $dfe22000DetalhamentoNotasFiscaisManifestadaService;
        set_time_limit(0);
    }

    public function findNrNSU(request $request, response $response) {
        
        $find = $this->dfe22000DetalhamentoNotasFiscaisManifestadaService->findNrNSU($request);
        
        $response->addDataset(new DataSet("findNrNSU",  $find));
        
        
    }
    
    public function findHistNSU(request $request, response $response) {
        $row = $request->getRow();
        var_dump($row);
        die();
        
        $find = $this->dfe22000DetalhamentoNotasFiscaisManifestadaService->findHistNSU($request);
        
        $response->addDataset(new DataSet("findHistNSU",  $find));
    }
	
	
}
